# Generated by Django 2.0.5 on 2020-02-11 12:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('collector', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CollectorPlatform',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('platform', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='CollectorVersion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('version', models.CharField(max_length=60)),
            ],
        ),
        migrations.AlterField(
            model_name='collector',
            name='platform',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='collector.CollectorPlatform'),
        ),
        migrations.AlterField(
            model_name='collector',
            name='version',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='collector.CollectorVersion'),
        ),
    ]
